@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap");

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: #000;
  text-decoration: none;
}

/* import DM font from google fonts */

body {
  font-family: "DM Sans", sans-serif;
}

img {
  max-width: 100%;
  height: auto;
}

/* font optimize */
@font-face {
  font-family: "Integral CF";
  src: url("../assets/fonts/Integral/IntegralCF-Regular.woff2") format("woff2"),
    url("../assets/fonts/Integral/IntegralCF-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Integral CF";
  src: url("../assets/fonts/Integral/") format("woff2"),
    url("../assets/fonts/Integral/IntegralCF-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Integral CF";
  src: url("../assets/fonts/Integral/IntegralCF-Bold.woff2") format("woff2"),
    url("../assets/fonts/Integral/IntegralCF-Bold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

h1,
h2,
h3 {
  font-family: "Integral CF";
  font-weight: 700;
}

h4 {
  font-size: 28px;
}

h5 {
  font-size: 23px;
}

:root {
  --primary-color: #3d00b7;
  --secondary-color: #565656;
  --success-color: #00ac4f;
  --danger-color: #ff002e;
  --sea-color: #14c8b0;
  --container-sm: 100%;
  --container-md: 992px;
  --container-lg: 1200px;
  --section-top: 100px;
  --bg-color: rgba(217, 224, 236, 0.2);
}

/* assign variable global class */

.container {
  max-width: var(--container-lg);
  margin: 0 auto;
  padding: 0 1rem;
}

.relative {
  position: relative;
}

.btn {
  padding: 0 2rem;
  border-radius: 100px;
  font-size: 14px;
  border: none;
}

.btn-primary {
  color: #fff;
  background-color: var(--primary-color);
}

.btn-secondary {
  color: var(--primary-color);
  background-color: transparent;
  border: 2px solid var(--primary-color);
}

.text-primary {
  color: var(--primary-color);
}

.text-secondary {
  color: var(--secondary-color);
}

.text-sea {
  color: var(--sea-color);
}

.text-danger {
  color: var(--danger-color);
}

.flex {
  display: flex;
}

.flex-col {
  flex-direction: column;
}

.justify-between {
  justify-content: space-between;
}

.items-center {
  align-items: center;
}

.space-sm {
  gap: 0.5rem;
}

.space-y {
  display: flex;
  flex-direction: column;
}

.gap-1 {
  gap: 1rem;
}

.text-small {
  font-size: 12px;
}

header {
  padding: 2rem 0;
  border-bottom: 1px solid #efefef;
}

header nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header nav .mobile-menu {
  display: none;
}

header nav .logo {
  color: var(--primary-color);
  font-family: "Integral CF";
  font-weight: 700;
  font-size: 24px;
  line-height: 0;
  margin-top: -10px;
}

header nav .menus ul {
  display: flex;
  list-style: none;
  gap: 3rem;
  font-size: 16px;
  font-weight: 500;
}

header nav .actions {
  display: flex;
  gap: 1rem;
}

header nav .actions .search-box {
  position: relative;
}

header nav .actions input.search {
  width: 300px;
  height: 50px;
  border: 2px solid #efefef;
  border-radius: 100px;
  padding: 0 1rem;
  position: relative;
}

header nav .actions .icon {
  position: absolute;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
}

header nav .actions button {
  height: 50px;
}

section .hero {
  display: grid;
  grid-template-columns: 1.25fr 1fr;
  height: 100%;
  margin-top: var(--section-top);
}

.hero .column-1 {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  position: relative;
}

.hero .column-1 .dot {
  position: absolute;
  bottom: 1rem;
  left: -3rem;
  z-index: -1;
}

.hero .column-1 h1 {
  font-size: 40px;
  font-weight: 700;
}

.hero .column-1 p {
  font-size: 20px;
  font-weight: 400;
}

.hero .column-1 button {
  width: 209px;
  height: 65px;
  font-size: 20px;
  font-weight: 700;
}

.hero .column-1 .counter {
  display: flex;
  gap: 2rem;
}

.hero .column-2 {
  position: relative;
}

.hero .column-2 .text {
  width: 400px;
  height: 400px;
  z-index: 10;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 0 1rem;
  /* background-color: rgba(0,0,0,0.3); */
  color: #fff;
}

.hero .column-2 .text .bid-card {
  padding: 1rem 1.5rem;
  border-radius: 1rem;
  display: flex;
  justify-content: space-between;

  background: rgba(255, 255, 255, 0.25);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  border-radius: 10px;
}

.hero .column-2 img.img-card {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.hero .column-2 .img-card:nth-child(2) {
  position: absolute;
  left: 0;
  z-index: 3;
}

.hero .column-2 .img-card:nth-child(3) {
  left: 5rem;
  z-index: 1;
}

.hero .column-2 .img-card:nth-child(4) {
  left: 10rem;
}

.hero .column-2 .auction {
  position: absolute;
  left: -13%;
  top: 45%;
  z-index: 4;
}

section.feature {
  margin-top: var(--section-top);
  background-color: var(--bg-color);
  padding: 5rem 0;
}

section.feature h1 {
  font-size: 1.75rem;
}

section.feature .grid {
  display: grid;
  grid-template-columns: 1.25fr 1fr 1fr;
  column-gap: 3rem;
}

section .collection {
  margin-top: var(--section-top);
}

section .collection .collection-img {
  width: 100%;
  height: 100%;
  border-radius: 24px;
  overflow: hidden;
}

section .collection .collection-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

section .collection .grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 3rem;
}

section .collection .tag {
  border: 1px solid var(--success-color);
  color: var(--success-color);
  border-radius: 5px;
  padding: 5px;
  font-weight: 500;
}

section .collection .verify {
  position: absolute;
  right: -5px;
  top: -5px;
}

ol {
  counter-reset: item;
  list-style-type: none;
  margin-top: 1.5rem;
}
ol li {
  display: flex;
  align-items: center;
  padding: 1rem 0;
  border-bottom: 1px solid #f0f0f0;
}
ol li:nth-child(1) img {
  padding-left: 6px;
}
ol li:before {
  content: counter(item) "  ";
  counter-increment: item;
  font-size: 1.5rem;
  font-weight: 700;
}

section .feature-collection {
  margin-top: var(--section-top);
  background-color: var(--bg-color);
  padding: 3rem 0;
}

section .feature-collection .grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-top: 2rem;
  gap: 1.5rem;
}

section .create-sell {
  margin-top: var(--section-top);
}

@media only screen and (max-width: 600px) {
  .container {
    max-width: var(--container-sm);
  }

  /* header nav .menus, */
  header nav .actions {
    display: none;
    flex-direction: column;
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 15;
  }

  /* header nav .actions .search {
    display: none;
  } */

  header nav .menus {
    position: absolute;
    width: 100%;
    height: 0;
    left: 0;
    top: 0;
    z-index: 15;
    background-color: #fff;
    overflow: hidden;
  }

  header nav .menus.open {
    height: 100%;
  }

  header nav .logo {
    position: relative;
    z-index: 25;
  }

  header nav .menus ul {
    flex-direction: column;
    font-size: 20px;
    gap: 1rem;
    padding: 5rem 1rem;
  }

  section .hero {
    grid-template-columns: 100%;
    margin-top: 30px;
  }

  .hero .column-2 {
    margin-top: 3rem;
  }

  .hero .column-2 .text {
    width: 100%;
    height: 350px;
  }

  .hero .column-2 img.img-card {
    max-width: 100%;
  }

  .hero .column-2 .img-card:nth-child(3) {
    left: 50%;
    transform: translateX(-50%);
    top: 1rem;
  }

  .hero .column-2 .img-card:nth-child(4) {
    left: 50%;
    transform: translateX(-50%);
    top: 5rem;
  }

  .hero .column-2 .auction {
    left: 50%;
    transform: translateX(-50%);
    top: 50%;
    z-index: 10;
  }

  .hero .column-1 h1 {
    font-size: 33px;
  }

  header nav .mobile-menu {
    display: inline-block;
    cursor: pointer;
    position: relative;
    z-index: 15;
  }

  header nav .close-icon {
    display: none;
  }

  section.feature h1 {
    font-size: 1.5rem;
    text-align: center;
  }

  section.feature .grid {
    grid-template-columns: 1fr;
    row-gap: 3rem;
  }

  section .collection .grid {
    grid-template-columns: 1fr;
  }
  section .feature-collection .grid {
    grid-template-columns: 1fr;
  }
}
